This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016207 - python-jsonschema: please package for python 3
python-jsonschema: please package for python 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-jsonschema (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1006575
  Show dependency treegraph
 
Reported: 2013-10-07 13:29 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-10 01:45 EST (History)
4 users (show)

See Also:
Fixed In Version: python-jsonschema-2.0.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:45:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to enable python3 subpackage (2.93 KB, patch)
2013-10-17 02:59 EDT, Thomas Spura
no flags Details | Diff

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-07 13:29:22 EDT
Description of problem:
Python 3 is supported according to upstream: "supporting 2.6+ including Python 3". This package will be used as dependency for IPython, which supports both versions.
Comment 1 Thomas Spura 2013-10-17 02:59:07 EDT
Created attachment 813200 [details]
Patch to enable python3 subpackage

Attached is a patch, that adds the python3 subpackage and runs the tests on build time.

A successful koji build is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6069399

May I commit and build it? :)
Comment 2 Pádraig Brady 2013-10-18 10:13:46 EDT
Thanks Thomas! Please commit
Comment 3 Thomas Spura 2013-10-18 10:27:25 EDT
Thanks too!

Building in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6075519
Comment 4 Fedora Update System 2013-10-18 10:42:46 EDT
python-jsonschema-2.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-jsonschema-2.0.0-2.fc20
Comment 5 Fedora Update System 2013-10-18 20:14:44 EDT
Package python-jsonschema-2.0.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-jsonschema-2.0.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19434/python-jsonschema-2.0.0-2.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 01:45:53 EST
python-jsonschema-2.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.